List recent tool calls
curl --request GET \
--url https://api.pyai.com/v1/tools/calls \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pyai.com/v1/tools/calls"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pyai.com/v1/tools/calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"data": [
{
"id": "<string>",
"agent_id": "<string>",
"tool_name": "<string>",
"execution": "hosted",
"ok": true,
"error": "<string>",
"latency_ms": 123,
"call_id": "<string>",
"ts": 123
}
],
"has_more": false,
"total": 1,
"limit": 50,
"offset": 5000
}{
"title": "<string>",
"status": 123,
"type": "<string>",
"detail": "<string>",
"request_id": "<string>"
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "invalid_request_error",
"param": "<string>"
}
}Agents
List recent tool calls
Audit log of recent tool invocations across the org’s agents, tool name, execution mode, outcome, error and latency. No arguments or results are stored. Requires the omni:session scope.
GET
/
v1
/
tools
/
calls
List recent tool calls
Authorizations
apiKeyxApiKey
Use Authorization: Bearer pyai_live_... (or pyai_test_...).
Query Parameters
Required range:
1 <= x <= 100Required range:
0 <= x <= 10000Case-insensitive search across tool name, agent ID, execution mode, error and call ID. Tool arguments and results are never searched.
Maximum string length:
100